SalesOS.

Customer 360

Unified customer profile view

Customer360 Controller_get Customer360

GET
/v1/customer-360/{accountId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-360/<string>" \
  -H "Authorization: Bearer <token>"

Customer360 Controller_get Timeline

GET
/v1/customer-360/{accountId}/timeline

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring

Query Parameters

typeRequiredstring
pageRequiredstring
pageSizeRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-360/<string>/timeline?type=%3Cstring%3E&page=%3Cstring%3E&pageSize=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Customer360 Controller_get Contacts

GET
/v1/customer-360/{accountId}/contacts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-360/<string>/contacts" \
  -H "Authorization: Bearer <token>"

Customer360 Controller_get Deals

GET
/v1/customer-360/{accountId}/deals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-360/<string>/deals" \
  -H "Authorization: Bearer <token>"

Customer360 Controller_get Documents

GET
/v1/customer-360/{accountId}/documents

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-360/<string>/documents" \
  -H "Authorization: Bearer <token>"

Customer360 Controller_get Signals

GET
/v1/customer-360/{accountId}/signals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/customer-360/<string>/signals" \
  -H "Authorization: Bearer <token>"